Package org.mariadb.jdbc.plugin.authentication.addon.gssapi

## Class GssUtility

- java.lang.Object
- - org.mariadb.jdbc.plugin.authentication.addon.gssapi.GssUtility

    public class GssUtility
    extends Object

### Constructor Summary

Constructors
`GssUtility()`

### Method Summary

All Methods Static Methods Concrete Methods
`static GssapiAuth` `getAuthenticationMethod()` Get authentication method according to classpath.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GssUtility

    public GssUtility()

### Method Detail

#### getAuthenticationMethod

    public static GssapiAuth getAuthenticationMethod()

Get authentication method according to classpath. Windows native authentication is using Waffle-jna.

Returns:
  authentication method